//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace TripleA.DataAccess
{
    using System;
    using System.Collections.Generic;
    
    public partial class inventario
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public inventario()
        {
            this.cat_Inventario_por_grupo = new HashSet<cat_Inventario_por_grupo>();
        }
    
        public int id_inventario { get; set; }
        public int id_categorias_sub { get; set; }
        public int id_categorias { get; set; }
        public int id_cat_origen { get; set; }
        public string descripcion { get; set; }
        public string codigo { get; set; }
        public Nullable<decimal> costo { get; set; }
        public Nullable<decimal> stock_minimo { get; set; }
        public Nullable<System.DateTime> fecha_arribo { get; set; }
        public Nullable<decimal> cantidad_pedida { get; set; }
        public int id_cat_fabricantes { get; set; }
        public Nullable<bool> ishabilitado { get; set; }
        public int id_marcas { get; set; }
        public string comentario { get; set; }
        public string tipo_inventario { get; set; }
        public string comentario_foto { get; set; }
        public Nullable<System.DateTime> fecha_creacion { get; set; }
        public Nullable<bool> isfoto { get; set; }
        public string medidas { get; set; }
        public Nullable<bool> is_articulo_venta { get; set; }
        public Nullable<bool> is_articulo_compra { get; set; }
        public string descripcion_corta { get; set; }
        public Nullable<int> id_cat_lineas { get; set; }
        public Nullable<int> id_cat_lineas_sub { get; set; }
        public string referencia_principal { get; set; }
        public string codigo_barra { get; set; }
        public int id_bodega_default_facturacion { get; set; }
        public Nullable<int> total_ventas_caidas { get; set; }
        public Nullable<decimal> costo_promedio { get; set; }
        public Nullable<bool> alerta_surtido { get; set; }
        public Nullable<int> maximo_por_factura { get; set; }
        public string make { get; set; }
        public string model { get; set; }
        public string yr_i { get; set; }
        public string yr_o { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<cat_Inventario_por_grupo> cat_Inventario_por_grupo { get; set; }
    }
}
